%define anolis_release 2
Name:           fuse3
Version:        3.16.2
Release:        %{anolis_release}%{?dist}
Summary:        File System in Userspace (FUSE) v3 utilities

License:        GPL+
URL:            http://fuse.sf.net
Source0:        https://github.com/libfuse/libfuse/archive/refs/tags/fuse-%{version}.tar.gz

BuildRequires:  which libselinux-devel meson gcc gcc-c++ systemd-udev
Requires:       %{_sysconfdir}/fuse.conf
Requires:       %{name}-libs = %{version}-%{release}
Provides:       fuse3 = %{version}-%{release}

%description
With FUSE it is possible to implement a fully functional filesystem in a
userspace program. This package contains the FUSE v3 userspace tools to
mount a FUSE filesystem.

%package libs
Summary:        File System in Userspace (FUSE) v3 libraries
License:        LGPLv2+
Provides:       fuse3-libs = %{version}-%{release}

%description libs
Devel With FUSE it is possible to implement a fully functional filesystem in a
userspace program. This package contains the FUSE v3 libraries.

%package devel
Summary:        File System in Userspace (FUSE) v3 devel files
Requires:       %{name}-libs = %{version}-%{release}
License:        LGPLv2+
Provides:       fuse3-devel = %{version}-%{release}

%description devel
With FUSE it is possible to implement a fully functional filesystem in a
userspace program. This package contains development files (headers,
pgk-config) to develop FUSE v3 based applications/filesystems.

%package -n fuse-common
Summary:        Common files for File System in Userspace (FUSE) v2 and v3
License:        GPL+
Provides:       fuse3-common = %{version}-%{release}

%description -n fuse-common
Common files for FUSE v2 and FUSE v3.

%prep
%autosetup -n libfuse-fuse-%{version}

%build
%meson
(cd %{_vpath_builddir}
meson configure -D useroot=false
ninja-build reconfigure)
%meson_build

%install
export MESON_INSTALL_DESTDIR_PREFIX=%{buildroot}/usr %meson_install

rm -f %{buildroot}%{_sysconfdir}/init.d/fuse3

cat << EOF > %{buildroot}%{_sysconfdir}/%{name}.conf
# mount_max = 1000
# user_allow_other
EOF

rm -f %{buildroot}/usr/lib/udev/rules.d/99-fuse3.rules

%generate_compatibility_deps

%files
%license LICENSE GPL2.txt
%doc AUTHORS ChangeLog.rst README.md
%{_sbindir}/mount.fuse3
%attr(4755,root,root) %{_bindir}/fusermount3
%{_mandir}/man1/*
%{_mandir}/man8/*

%files libs
%license LGPL2.txt
%dir %{abidir}
%{_libdir}/libfuse3.so.*
%{abidir}/libfuse3.dump

%files devel
%{_libdir}/libfuse3.so
%{_libdir}/pkgconfig/fuse3.pc
%{_includedir}/fuse3/

%files -n fuse-common
%config(noreplace) %{_sysconfdir}/fuse3.conf
%config(noreplace) %{_sysconfdir}/fuse.conf

%changelog
* Tue Apr 09 2024 yangxinyu <yangxinyu@nfschina.com> - 3.16.2-2
- rename fuse to fuse3

* Wed Mar 27 2024 Chang Gao <gc-taifu@linux.alibaba.com> - 3.16.2-1
- Update to 3.16.2

* Thu Aug 10 2023 Funda Wang <fundawang@yeah.net> - 3.16.1-1
- New version 3.16.1

* Mon Apr 03 2023 Funda Wang <fundawang@yeah.net> - 3.14.1-1
- New version 3.14.1

* Sat Feb 18 2023 Funda Wang <fundawang@yeah.net> - 3.14.0-1
- New version 3.14.0

* Tue Feb 7 2023 Ziyang Zhang <ZiyangZhang@linux.alibaba.com> - 3.13.1-1
- Update to 3.13.1
- Add abi/api files

* Thu Mar 17 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 3.10.5-2
- provides fuse3 and related packages

* Mon Mar 14 2022 forrest_ly <flin@linux.alibaba.com> - 3.10.5-1
- Init for Anolis OS 23 
